<?php

$q=$_GET['q'];
require('fpdf/fpdf.php');
//require('conexion.php');
require_once ("config/db.php");//Contiene las variables de configuracion para conectar a la base de datos
	require_once ("config/conexion.php");//Contiene funcion que conecta a la base de datos
$pdf = new FPDF();
$pdf->AddPage();
$pdf->SetFont('Arial', '', 10);
$pdf->Image('img/cintillo.jpg' , 5 ,5, 200 , 16,'JPG');
$pdf->Cell(18, 10, '', 0);
$pdf->SetFont('Arial', '', 9);
$pdf->Ln(20);
$pdf->SetFont('Arial', 'B', 11);
$pdf->Cell(50, 8, '', 0);
$pdf->Cell(80, 8, 'COTIZACIONES TIENDA DEL TRANSPORTISTA', 0);
$pdf->Ln(10);
$pdf->Cell(85, 8, '', 0);
$pdf->Cell(100, 8, date('d-m-Y'),200);
$pdf->Ln(23);
$pdf->SetFont('Arial', 'B', 8);
$pdf->Cell(15, 8, 'item', 0);
$pdf->Cell(20, 8, 'Fecha', 0);
$pdf->Cell(20, 8, 'Cotizacion', 0);
$pdf->Cell(30, 8, 'Cliente', 0);
$pdf->Cell(40, 8, 'Vendedor', 0);
$pdf->Cell(40, 8, 'Estado', 0);
$pdf->Cell(30, 8, 'Total', 0);


$pdf->Ln(8);
$pdf->SetFont('Arial', '', 8);
//CONSULTA

         $sTable = "proformas, clientes, users";
		 $sWhere = "";
		 $sWhere.=" WHERE proformas.id_cliente=clientes.id_cliente and proformas.id_vendedor=users.user_id";
		if ( $_GET['q'] != "" )
		{
		$sWhere.= " and  (clientes.nombre_cliente like '%$q%' or proformas.numero_proforma like '%$q%')";
		}
		$sWhere.=" order by proformas.id_proforma desc";
		$sql="SELECT * FROM  $sTable $sWhere ";
		$query = mysqli_query($con, $sql);
		

$item = 0;
  while($dato=mysqli_fetch_array($query)){
   	$item = $item+1;
	$pdf->Cell(15, 8, $item, 0);
	$pdf->Cell(20, 8,$dato['fecha_proforma'], 0);
	$pdf->Cell(20, 8,$dato['numero_proforma'], 0);
	$pdf->Cell(30, 8,$dato['nombre_cliente'], 0);
	
	$nombre_vendedor=$dato['firstname']." ".$dato['lastname'];
	$pdf->Cell(40, 8,$nombre_vendedor, 0);
	
	$estado_proforma=$dato['estado_proforma'];
	if ($estado_proforma==1){$text_estado="Vigente";$label_class='label-success';}
	else{$text_estado="Vencida o Procesada";$label_class='label-warning';}
	$pdf->Cell(40, 8,$text_estado, 0);
	$pdf->Cell(30, 8,"$. ".$dato['total_venta'], 0);
	
	$pdf->Ln(5);
}
  
$pdf->Ln(30);
$pdf->SetFont('Arial', 'B', 8);
$pdf->Cell(65,8,'',0);
$pdf->Cell(23,8,'__________________________________',0);
$pdf->Ln(5);
$pdf->Cell(65,8,'',0);
$pdf->Cell(16,8,'Gerente Comercializacion y Suministros',0);
$pdf->Ln(5);
$pdf->Cell(85,8,'',0);
$pdf->Cell(16,8,'FONTUR',0);

$pdf->Output('reporte_cotizaciones.pdf','D');
?>